View Issue Details

IDProjectCategoryView StatusLast Update
0000095Bacula-Webbug-mysqlpublic2013-11-19 15:05
ReporterhooverAssigned Todavide 
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSCentos 6OS Version6.4
Product Version5.2.13 
Target Version5.2.13-1Fixed in Version5.2.13-1 
Summary0000095: Obtaining db size fails for large catalogs databases
Descriptiongood work on fixing the mysql 5.0 bug, however now obtaining the catalog size fails for large databases (+32GB I guess):

File /var/www/html/bacula-web-5.2.13/core/db/cdbutils.class.php
Line 79
Exception code 22003
Exception message SQLSTATE[22003]: Numeric value out of range: 1690 BIGINT UNSIGNED value is out of range in '((`information_schema`.`TABLES`.`DATA_LENGTH` + `information_schema`.`TABLES`.`INDEX_LENGTH`) - `information_schema`.`TABLES`.`DATA_FREE`)'


We're using MariaDB with innodb tables on our large catalog instances. Size selection works fine on smaller catalogs, in our case:

Database size 8.64 GB
Database size 2.91 GB
Database size 6.12 GB
Database size 4.16 GB
Database size 1.09 GB

Reported size in older bacula-web versions (5.2.12) of the larger databases:
Database size 81.93 GB
Database size 113.87 GB

Cheers, Uwe


TagsNo tags attached.

Activities

davide

2013-04-21 13:09

manager   ~0000248

Fixed in version 5.2.13-1

davide

2013-11-19 15:05

manager   ~0000306

Issue closed

Issue History

Date Modified Username Field Change
2013-04-05 10:24 hoover New Issue
2013-04-06 18:54 davide Product Version => 5.2.13
2013-04-06 18:54 davide Target Version => 5.2.13-1
2013-04-21 13:09 davide Note Added: 0000248
2013-04-21 13:09 davide Status new => resolved
2013-04-21 13:09 davide Fixed in Version => 5.2.13-1
2013-04-21 13:09 davide Resolution open => fixed
2013-04-21 13:09 davide Assigned To => davide
2013-11-19 15:05 davide Status resolved => closed
2013-11-19 15:05 davide Note Added: 0000306